{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://backend.live.prod.internal.ki-insurance.com","description":"Generated server url"}],"tags":[{"name":"Tweaki Dictionary API","description":"Tweaki APIs"},{"name":"Auth API","description":"API used by a Broker to exchange credentials with Ki"},{"name":"User Journey Event","description":"APIs for tracking user journey events"}],"paths":{"/api/user/{uid}":{"get":{"tags":["Users"],"operationId":"get","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.User"}}}}}},"put":{"tags":["Users"],"operationId":"update","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.persons.UserRegistration"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.User"}}}}}}},"/api/user/{uid}/update-email":{"put":{"tags":["Users"],"operationId":"updateEmail","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.User"}}}}}}},"/api/user/{uid}/update-broker/{brokerId}":{"put":{"tags":["Users"],"operationId":"updateBrokingHouse","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}},{"name":"brokerId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.User"}}}}}}},"/api/user/{uid}/selected-cobs":{"put":{"tags":["Users"],"operationId":"updateSelectedClassOfBusiness","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/system/admin/settings":{"get":{"tags":["Admin settings"],"operationId":"get_1","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}}}}},"put":{"tags":["Admin settings"],"operationId":"put","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}}}}}},"/api/system/admin/settings/{settingName}":{"get":{"tags":["Admin settings"],"operationId":"getByKey","parameters":[{"name":"settingName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}}}},"put":{"tags":["Admin settings"],"operationId":"putByKey","parameters":[{"name":"settingName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/com.ki.admin.InceptionYearFrom"}]}}}}}}},"/api/system/admin/maintenance-mode":{"get":{"tags":["Maintenance mode"],"operationId":"get_2","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.maintenace.MaintenanceModeState"}}}}}},"put":{"tags":["Maintenance mode"],"operationId":"update_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.maintenace.MaintenanceModeState"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/quote/{quoteId}":{"get":{"tags":["Quotes"],"operationId":"getQuote","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}},"put":{"tags":["Quotes"],"operationId":"updateQuote","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/quote/{quoteId}/startPricing":{"put":{"tags":["Quotes"],"operationId":"startPricing","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.quote.PricingRequestResponse"}}}}}}},"/api/quote/{quoteId}/sov":{"get":{"tags":["Schedules of values"],"operationId":"get_3","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}},"put":{"tags":["Quotes"],"operationId":"uploadSOV","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.quote.sov.MarineHullWarSOVUploadRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}},"post":{"tags":["Schedules of values"],"operationId":"post","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["sov"],"type":"object","properties":{"sov":{"type":"string","format":"binary"}}}}}},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/quote/{quoteId}/discard":{"put":{"tags":["Quotes"],"operationId":"discardQuote","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/indications/{indicationId}/discard":{"put":{"tags":["Indications"],"operationId":"discardIndication","parameters":[{"name":"indicationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/brokinghouse/{brokingHouseId}/branch/{branchId}":{"put":{"tags":["Broking house branches"],"operationId":"updateBranch","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brokinghouses.branches.Branch"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brokinghouses.branches.Branch"}}}}}},"delete":{"tags":["Broking house branches"],"operationId":"deleteBranch","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/vessel/validate":{"post":{"tags":["Vessel API"],"operationId":"validateImoNumbers","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.vessel.VesselValidation"}}}}}}}},"/api/vessel/v2/validate":{"post":{"tags":["Vessel API"],"operationId":"validateV2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.vessel.VesselValidatePayload"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.vessel.VesselValidateResponse"}}}}}}},"/api/users/migrate":{"post":{"tags":["user-broking-house-migration-controller"],"operationId":"migrateUsers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.persons.UserMigrationRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.UserMigrationResult"}}}}}}},"/api/user":{"get":{"tags":["Users"],"operationId":"allUsers","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ResultsCom.ki.persons.User"}}}}}},"post":{"tags":["Registration"],"operationId":"add","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.persons.UserRegistration"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/user/reset-password":{"post":{"tags":["Users"],"operationId":"resendVerificationEmail","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/user/register":{"post":{"tags":["Registration"],"operationId":"register","parameters":[{"name":"X-Recaptcha-Token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.persons.UserRegistration"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/user/register/send-verification-email":{"post":{"tags":["Registration"],"operationId":"resendVerificationEmail_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ResendVerificationLinkRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/user/current/logout":{"post":{"tags":["Users"],"operationId":"logout","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/user/consent":{"post":{"tags":["Users"],"operationId":"consented","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}},"deprecated":true}},"/api/user/consent/{consentType}":{"post":{"tags":["Users"],"operationId":"consentedWithType","parameters":[{"name":"consentType","in":"path","required":true,"schema":{"type":"string","enum":["ALL_TC","NOM_LEAD_CHANGES"]}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/user/bulk/register":{"post":{"tags":["Registration"],"operationId":"bulkRegister","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.fasterxml.jackson.databind.node.TextNode"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorsJava.lang.String"}}}}}}},"/api/user/bulk/email":{"post":{"tags":["Registration"],"operationId":"bulkEmailVerificationLink","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/user-journey-events":{"post":{"tags":["User Journey Event"],"operationId":"recordEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.userjourneyevent.CreateUserJourneyEventRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"202":{"description":"Accepted"}}}},"/api/system/admin/quote-expiry/backfill":{"post":{"tags":["Quote Expiry"],"summary":"Backfill quote ValidUntilDate for past year","description":"One-time backfill operation for SYS_ADMINS to set ValidUntilDate for quotes from the past year.","operationId":"backfillValidUntilDates","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.quote.QuoteExpiryBackfillResponse"}}}}}}},"/api/system/admin/indications/start-upload/outbound/{runId}":{"post":{"tags":["indication-upload-controller"],"operationId":"startOutboundUpload","parameters":[{"name":"runId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/system/admin/duns-backfill":{"post":{"tags":["DUNS backfill"],"summary":"Backfill missing DUNS numbers on quotes via the D&B service","description":"One-off backfill for SYS_ADMINs (HADES-330). Re-resolves insured names against the D&B typeahead endpoint and fills Quote/QuoteLine DnBNo where it is NULL or 0. Only exact name matches are written; non-matches and ambiguous results are reported for manual review. Run with dryRun=true first to preview the outcome.","operationId":"backfill","parameters":[{"name":"dryRun","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"since","in":"query","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.dnb.backfill.DunsBackfillResponse"}}}}}}},"/api/slip-extractions/uploads":{"post":{"tags":["SlipExtractions"],"operationId":"createUpload","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.slipextractions.model.http.CreateUploadResponse"}}}}}}},"/api/slip-extractions/jobs":{"post":{"tags":["SlipExtractions"],"operationId":"submitJob","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.slipextractions.model.http.SubmitJobRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.slipextractions.model.http.SubmitJobResponse"}}}}}}},"/api/slip-extractions/jobs/{jobId}/quote":{"post":{"tags":["SlipExtractions"],"operationId":"createQuoteFromJob","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/quote":{"post":{"tags":["Quotes"],"operationId":"createQuote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/quote/{quoteId}/{sovId}/geocodingJobs":{"post":{"tags":["Schedules of values"],"operationId":"initiate","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sovId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/quote/{quoteId}/version":{"post":{"tags":["Quotes"],"operationId":"createQuoteVersion","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/quote/{quoteId}/status-changed":{"post":{"tags":["Quotes"],"operationId":"quoteStatusChanged","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"overwrite","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/quote/{quoteId}/pricing/in-progress/{uid}/{callbackType}":{"post":{"tags":["Quotes"],"operationId":"pricing","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/quote/{quoteId}/api-pricing/in-progress/{uid}/{callbackType}":{"post":{"tags":["Quotes"],"operationId":"apiPricing","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/quote/resync":{"get":{"tags":["Quotes"],"operationId":"resync","parameters":[{"name":"startDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.quote.ResyncResponse"}}}}}},"post":{"tags":["Quotes"],"operationId":"resyncQuotes","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.quote.ResyncResponse"}}}}}}},"/api/quote/indication/{indicationId}":{"post":{"tags":["Quotes"],"operationId":"createQuoteFromIndication","parameters":[{"name":"indicationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/pipeline/csv":{"post":{"tags":["Pipeline"],"operationId":"generateCsv","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"application/csv":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/leads":{"get":{"tags":["Leads"],"operationId":"getLeadSummaries","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.lead.model.KiWebGetLeadSummaryResponse"}}}}}}},"post":{"tags":["Leads"],"operationId":"createLeads","requestBody":{"content":{"text/csv":{"schema":{"type":"string"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.lead.model.LeadServicePostLeadResponse"}}}}}}},"/api/leads/{leadId}/activate":{"post":{"tags":["Leads"],"operationId":"activateLead","parameters":[{"name":"leadId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brit.client.quote.model.Quote"}}}}}}},"/api/indications/affirm":{"post":{"tags":["Indications"],"operationId":"affirmBrokerClassesOfBusiness","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/kotlin.Unit"}}}}}}},"/api/frontend-metrics":{"post":{"tags":["Frontend Metrics"],"operationId":"handle","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.frontendmetric.FrontendMetricCom.fasterxml.jackson.databind.JsonNodeCom.ki.frontendmetric.FrontendMetricMetadata"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/facilities":{"get":{"tags":["Facilities"],"operationId":"getFacilities","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.facilities.model.GetFacilityResponse"}}}}}}},"post":{"tags":["Facilities"],"operationId":"createFacility","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.facilities.model.CreateFacilityRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/facilities/{facilityId}/triggerMarkets":{"post":{"tags":["Facilities"],"operationId":"createFacilityTriggerMarkets","parameters":[{"name":"facilityId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.facilities.model.CreateFacilityTriggerMarketRequest"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/facilities/{facilityId}/class-of-business":{"post":{"tags":["Facilities"],"operationId":"createFacilityClassOfBusinesses","parameters":[{"name":"facilityId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/kotlin.Unit"}}}}}}},"/api/contact":{"post":{"tags":["Contact us"],"operationId":"contactUs","parameters":[{"name":"X-Recaptcha-Token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.contact.ContactForm"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/contact/user-request":{"post":{"tags":["Contact us"],"operationId":"userRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.contact.ContactForm"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content"},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}}}}},"/api/brokinghouse":{"post":{"tags":["Broking houses"],"operationId":"createBrokingHouse","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brokinghouses.CreateBrokingHouseRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int32"}}}}}}},"/api/brokinghouse/{brokingHouseId}/cobs":{"get":{"tags":["Broking houses"],"operationId":"getCobsForBrokingHouse","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.brokinghouses.cob.ClassOfBusiness"}}}}}}},"post":{"tags":["Broking houses"],"operationId":"createCobsForBrokingHouse","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/kotlin.Unit"}}}}}}},"/api/brokinghouse/{brokingHouseId}/branch":{"get":{"tags":["Broking house branches"],"operationId":"branches","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.brokinghouses.branches.Branch"}}}}}}},"post":{"tags":["Broking house branches"],"operationId":"addBranch","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.brokinghouses.branches.Branch"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.brokinghouses.branches.Branch"}}}}}}},"/api/brokinghouse/sync-quote-db/{branchId}":{"post":{"tags":["Broking houses"],"operationId":"addToQuoteDB","parameters":[{"name":"branchId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/auth/token":{"post":{"tags":["Auth API"],"summary":"Exchange credentials for a Ki token","description":"Gets a token with Ki which will be used to authenticate the Broker with Ki in subsequent calls.","operationId":"auth0Login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.auth.api.requests.AuthRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.auth.api.AuthResponse"}}}}}}},"/api/assisted-interface/multiline-new-business":{"post":{"tags":["Retool API"],"operationId":"getNewBusinessPartnerLines","requestBody":{"content":{"application/json":{}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{}}}}},"/api/assisted-interface/multiline-ki-renewal":{"post":{"tags":["Retool API"],"operationId":"kiRenewalMultiLineSubmission","requestBody":{"content":{"application/json":{}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{}}}}},"/api/assisted-interface/multiline-brit-renewal":{"post":{"tags":["Retool API"],"operationId":"britRenewalMultiLineSubmission","requestBody":{"content":{"application/json":{}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{}}}}},"/api/assisted-interface/fileUpload":{"post":{"tags":["Retool API"],"operationId":"uploadFile","parameters":[{"name":"quoteId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.retool.UploadFile"}}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/facilities/{facilityId}":{"get":{"tags":["Facilities"],"operationId":"getFacility","parameters":[{"name":"facilityId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.facilities.model.GetFacilityResponse"}}}}}},"patch":{"tags":["Facilities"],"operationId":"patchFacility","parameters":[{"name":"facilityId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/com.ki.facilities.model.PatchFacilityRequest"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/brokinghouse/{brokingHouseId}/activate":{"patch":{"tags":["Broking house branches"],"operationId":"activation","parameters":[{"name":"brokingHouseId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"boolean"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/brokinghouse/lloydsBrokingHouse/{lloydsBrokingId}/activate":{"patch":{"tags":["Broking houses"],"operationId":"lloydsBrokerHouseActivation","parameters":[{"name":"lloydsBrokingId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"boolean"}}},"required":true},"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK"}}}},"/api/whiteglove-url/generate":{"get":{"tags":["whiteglove-url-controller"],"operationId":"createSignedOttoSovUrl","parameters":[{"name":"quoteId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/whiteglove-url/access":{"get":{"tags":["whiteglove-url-controller"],"operationId":"getAccessUrl","parameters":[{"name":"quoteId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"signature","in":"query","required":true,"schema":{"type":"string"}},{"name":"expires","in":"query","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/user/current":{"get":{"tags":["Users"],"operationId":"current","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.User"}}}}}}},"/api/umr/master-line-slip":{"get":{"tags":["Market references"],"operationId":"getMasterLineSlipUmrs","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.uniqueMarketReferences.UniqueMarketReferenceResponse"}}}}}}},"/api/tweaki/dimensions/marine-hull/material-vessel-types":{"get":{"tags":["Tweaki Dictionary API"],"operationId":"getMarineHullMaterialVesselTypesDimension","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/tweaki/dimensions/energy-subclasses":{"get":{"tags":["Tweaki Dictionary API"],"operationId":"getEnergySubclassesDimension","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.tweaki.model.TweakiSubclass"}}}}}}}},"/api/system/admin/cache":{"get":{"tags":["Cache Management"],"summary":"List all caches","description":"Returns a list of all cache names and their information","operationId":"getAllCaches","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.admin.CacheListResponse"}}}}}},"delete":{"tags":["Cache Management"],"summary":"Clear all caches","description":"Clears all entries from all caches","operationId":"clearAllCaches","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.admin.CacheClearResponse"}}}}}}},"/api/system/admin/cache/{cacheName}":{"get":{"tags":["Cache Management"],"summary":"Get cache info","description":"Returns information about a specific cache","operationId":"getCacheInfo","parameters":[{"name":"cacheName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.admin.CacheInfo"}}}}}},"delete":{"tags":["Cache Management"],"summary":"Clear cache","description":"Clears all entries from the specified cache","operationId":"clearCache","parameters":[{"name":"cacheName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.admin.CacheClearResponse"}}}}}}},"/api/system/admin/cache/{cacheName}/keys":{"get":{"tags":["Cache Management"],"summary":"List cache keys","description":"Returns all keys in the specified cache (only works for Redis caches)","operationId":"getCacheKeys","parameters":[{"name":"cacheName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.admin.CacheKeysResponse"}}}}}}},"/api/slip-extractions/jobs/{jobId}":{"get":{"tags":["SlipExtractions"],"operationId":"getJobResults","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.slipextractions.model.http.JobResultResponse"}}}}}}},"/api/slip-extractions/jobs/{jobId}/status":{"get":{"tags":["SlipExtractions"],"operationId":"getJobStatus","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.slipextractions.model.http.JobStatusResponse"}}}}}}},"/api/risk/riskcode":{"get":{"tags":["Risk codes"],"operationId":"getAllRiskCodes","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/risk/riskcode/{cob}":{"get":{"tags":["Risk codes"],"operationId":"getRiskCodesByCob","parameters":[{"name":"cob","in":"path","required":true,"schema":{"type":"string"}},{"name":"inceptionDate","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"nominatedLeadsOnly","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"nonExcess","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/quote/{quoteId}/pdf":{"get":{"tags":["Quotes"],"operationId":"generateQuotePdf","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/quote/{quoteId}/pdf/subjectivities":{"get":{"tags":["Quotes"],"operationId":"generateSubjectivitiesPdf","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"application/pdf":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/quote-detail/{quoteId}":{"get":{"tags":["Quote details"],"operationId":"getQuoteDetail","parameters":[{"name":"quoteId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{}}}}},"/api/quote-detail/coverage-option/{coverageOptionId}":{"get":{"tags":["Quote details"],"operationId":"getQuoteMappingByCoverageOption","parameters":[{"name":"coverageOptionId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.kifer.model.QuoteMappingResponse"}}}}}}},"/api/pipeline":{"get":{"tags":["Pipeline"],"operationId":"getPipelineQuotes","parameters":[{"name":"useDomainModelBasedIndications","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.pipeline.model.PipelineQuoteResponse"}}}}}}},"/api/partner-syndicates":{"get":{"tags":["Partner syndicate API"],"operationId":"getAllEnabledPartnerSyndicates","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki_quote.repository.PartnerSyndicate"}}}}}}}},"/api/partner-syndicates/{identifier}":{"get":{"tags":["Partner syndicate API"],"operationId":"getPartnerSyndicateById","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki_quote.repository.PartnerSyndicate"}}}}}}},"/api/partner-syndicates/class_of_business":{"get":{"tags":["Partner syndicate API"],"operationId":"getClassOfBusiness","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.mercury.SupportedClassOfBusiness"}}}}}}}},"/api/nominatedlead":{"get":{"tags":["Nominated syndicates"],"operationId":"listAllNominatedLead","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.nominatedSyndicate.NominatedSyndicateWithGroupClasses"}}}}}}}},"/api/nominatedlead/v2/cob/{algoClass}":{"get":{"tags":["Nominated syndicates"],"operationId":"getNominatedSyndicatesForAlgoClassV2","parameters":[{"name":"algoClass","in":"path","required":true,"schema":{"type":"string"}},{"name":"newBusiness","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.nominatedSyndicate.NominatedSyndicateWithGroupClasses"}}}}}}}},"/api/nominatedlead/syndicates":{"get":{"tags":["Nominated syndicates"],"operationId":"listAllNominatedLeadWithEurope","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.nominatedSyndicate.NominatedSyndicate"}}}}}}}},"/api/nominated-insurer":{"get":{"tags":["Nominated Insurers"],"operationId":"findAll","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.nominatedinsurer.NominatedInsurerResponse"}}}}}}}},"/api/nominated-insurer/cob/{algoClass}":{"get":{"tags":["Nominated Insurers"],"operationId":"findAllByUserAlgoClass","parameters":[{"name":"algoClass","in":"path","required":true,"schema":{"type":"string"}},{"name":"quoteId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.nominatedinsurer.NominatedInsurerResponse"}}}}}}}},"/api/masterdata/territories":{"get":{"tags":["Master data"],"operationId":"masterDataTerritories","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.Territory"}}}}}}},"/api/masterdata/propertyperils":{"get":{"tags":["Master data"],"operationId":"masterDataPropertyPerils","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.PropertyPeril"}}}}}}},"/api/masterdata/propertylocations":{"get":{"tags":["Master data"],"operationId":"masterDataPropertyLocations","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.PropertyLocation"}}}}}}},"/api/masterdata/placingbasisfollow":{"get":{"tags":["Master data"],"operationId":"masterDataPlacingBasis","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.PlacingBasis"}}}}}}},"/api/masterdata/noofproperties":{"get":{"tags":["Master data"],"operationId":"masterDataPropertyNumber","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.PropertyNumber"}}}}}}},"/api/masterdata/ki/{category}":{"get":{"tags":["Master data"],"operationId":"getKiMasterData","parameters":[{"name":"category","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.masterdata.ki.model.MasterDataPayload"}}}}}}},"/api/masterdata/ki/placingbases":{"get":{"tags":["Master data"],"operationId":"getPlacingBases","parameters":[{"name":"filter","in":"query","required":false,"schema":{"type":"string","enum":["ALL","ON_PLATFORM","DECLARATION","REINSURANCE_XL"]}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.masterdata.ki.model.PlacingBasisPayload"}}}}}}},"/api/masterdata/ki/fxRate":{"get":{"tags":["Master data"],"operationId":"getFxRates","parameters":[{"name":"date","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/com.ki.masterdata.ki.model.FxRate"}}}}}}}},"/api/masterdata/gethqstateuslist":{"get":{"tags":["Master data"],"operationId":"masterDataAmericanStates","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.AmericanState"}}}}}}},"/api/masterdata/gethqstatecanadalist":{"get":{"tags":["Master data"],"operationId":"masterDataCanadianStates","responses":{"409":{"description":"Conflict"},"404":{"description":"Not Found"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"string"}}}},"503":{"description":"Service Unavailable"},"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.persons.ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/com.ki.masterdata.MasterDataListCom.ki.brit.client.mds.model.CanadianState"}}}}}}},"/api/masterdata/gethqcountrylist":{"get":{"tags":["Master data"],"operationId":"masterDataCyberHqLocations","responses":{"409":{"de
[...]
